<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
    xmlns:context="http://www.springframework.org/schema/context"
    xsi:schemaLocation="http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans.xsd
    http://www.springframework.org/schema/context
    http://www.springframework.org/schema/context/spring-context.xsd">

	
    <!-- Define your beans here -->
    <!-- Define dependency -->
    <bean id="myFortuneService"
    	class="com.luv2code.springdemo.GreatFortuneService">
    </bean>
    <bean id="myCoach"
    	class="com.luv2code.springdemo.TrackCoach"
    	init-method="doMyStartupStuff"
    	destroy-method="doMyCleanupStuffYoYo">
    	<!-- set up constructor injection -->
    	<constructor-arg ref="myFortuneService"/>
    </bean>
</beans>





